/****************************************************************************
** $Id: HelloHistRotation.h,v 1.2 2006/02/23 18:03:47 fine Exp $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef QTROOT_HISTROTATION_H
#define QTROOT_HISTROTATION_H

#include <QFrame>

class TEmbeddedPad;
class TH1F;
class TH2F;
class TProfile;

class HelloHistRotation : public QFrame
{
    Q_OBJECT
public:
    HelloHistRotation( int s = 10, QWidget *parent = 0, const char *name = 0 );
    virtual ~HelloHistRotation();

public slots:
    void	nextGeneration();

protected:
    virtual void paintEvent( QPaintEvent * );
    void updateHistograms();

private:
    TEmbeddedPad   *fPads[3];
    TH1F           *fHpx;
    TH2F           *fHpxpy;
    TProfile       *fHprof;
          
};


#endif // QTROOT_HISTROTATION_H
